# 机器人开发规划和进度跟踪

> 2023-11-30 机器人开发状态更新
>
> SLAM仓库：http://logzhan.ticp.io:30000/logzhan/ORB-SLAM3-UESTC
>
> 定位参考系统仓库：http://logzhan.ticp.io:30000/logzhan/LightHouse-UESTC
>
> 路径规划仓库：http://logzhan.ticp.io:30000/logzhan/PathPlanning-UESTC
>
> 机器人硬件设计仓库：http://logzhan.ticp.io:30000/logzhan/RobotDriver-UESTC
>
> 机器人控制APP仓库：http://logzhan.ticp.io:30000/logzhan/RobotApp-UESTC
>
> 割草机器人硬件厂商：https://cn.sunseekerpower.com/index.php?m=home&c=Lists&a=index&tid=81

## 一、 项目状态

### 1.1 最新进度说明

| 项目                                              | 状态和说明                                                   | 负责人 | 状态   | 更新时间   |
| ------------------------------------------------- | ------------------------------------------------------------ | ------ | ------ | ---------- |
| ORB-SLAM3采用实时图像和IMU测试                    | 目前购买的IMU数据存在问题，IMU的Y轴数据存在异常。Linux下IMU的串口驱动程序不够完善。ORB-SLAM3没有实时接入摄像头和IMU的样例，需要修改适配。 | 李瑞瑞 | 进行中 | 2023-11-30 |
| ORB-SLAM3在RK3588上运行                           | 需要观测ORB-SLAM3(纯摄像头、摄像头+IMU)对RK3588的CPU的占用情况，记录文档。 | —      |        |            |
| 定位参考系统                                      | 采用HTC vive VR的激光定位系统用于评估机器人定位算法误差，文档和资料[仓库路径](http://logzhan.ticp.io:30000/logzhan/LightHouse-UESTC) | 詹力   | 完成   | 2023-12-01 |
| 多平台可视化GUI系统(IOS、android、windows、linux) | 有GUI界面显示机器人的位置信息、检测边界信息、规划路径信息、电量信息、地图信息等。可以对机器人进行执行和控制。跨平台开发建议选择flutter. | —      |        |            |
| 机器人硬件和结构搭建                              | 已购买割草机器人，包含充电底座和机器人主体，12月2日发货，地址高研院10楼。 | 詹力   | 完成   |            |

## 1.2 项目里程碑

<img src="./Image/Status_1130.png" style="zoom:80%;" />

## 二、项目开发规划

![image-20231201124843447](./Image/Rebot-Develop-Graph.png)

## 三、机器人硬件搭建

### 3.1 机器人硬件

​		机器人的基础硬件采用[Sunseeker](https://cn.sunseekerpower.com/index.php?m=home&c=View&a=index&aid=186)的智能机器人。支持自动寻址充电和蓝牙&WIFI控制。目前已经找到公司的官网，卖家说可以通过app控制机器人操作，暂时还未联系厂商要求提供app。

### 3.1.1 外观和功能

<center>
<img src="./Image/机器人正面.png" alt="image-20231201181931675" style="zoom:80%;" >
</center>

<center>机器人正面和背面图</center>

![image-20231201182548239](./Image/机器人充电界面和充电底座.png)
<center>机器人充电界面和充电底座</center>